# All quantities used in platon are in SI

k_B = 1.38064852e-23
AMU = 1.660539040e-27
G = 6.67408e-11
h = 6.62607004e-34
c = 2.99792458e8

METRES_TO_UM = 1e6

# GM_sun, Teff_sun, and radii are taken from IAU Resolution B3 on recommended
# nominal constants (https://arxiv.org/pdf/1510.07674.pdf).  Masses are
# derived by dividing the recommended GM values by the 2014 CODATA value for G
# (listed above).

Teff_sun = 5772.0

M_jup = 1.89819e27
'''Jupiter mass'''

M_earth = 5.97236e24
'''Earth mass'''

M_sun = 1.98848e30
'''Solar mass'''

R_jup = 7.1492e7
'''Jupiter radius'''

R_earth = 6.3781e6
'''Earth radius'''

R_sun = 6.957e8
'''Solar radius'''
